Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.lib.rop
Class AbstractResultList<E>

    java.lang.Object
      org.apache.openjpa.lib.rop.AbstractResultList<E>

All Implemented Interfaces:
  Serializable, Iterable<E>, Collection<E>, List<E>, ResultList<E>, Closeable

Direct Known Subclasses:
  AbstractNonSequentialResultList, AbstractSequentialResultList, ListResultList

    public abstract class AbstractResultList<E>

extends Object
implements ResultList<E>

Abstract base class for read-only result lists.

Author:
  Abe White
See Also:
  Serialized Form

Constructor Summary
`AbstractResultList()`

Method Summary
`void` | `add(int index, Object element)`
`boolean` | `add(Object o)`
`boolean` | `addAll(Collection<? extends E> c)`
`boolean` | `addAll(int index, Collection<? extends E> c)`
`protected void` | `assertOpen()`
`void` | `clear()`
`Object` | `getUserObject()` Get the opaque user object attached to this receiver.
`E` | `remove(int index)`
`boolean` | `remove(Object o)`
`boolean` | `removeAll(Collection<?> c)`
`boolean` | `retainAll(Collection<?> c)`
`E` | `set(int index, Object element)`
`void` | `setUserObject(Object opaque)` Set the opaque user object to this receiver.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.openjpa.lib.rop.ResultList
`close, isClosed, isProviderOpen`

Methods inherited from interface java.util.List
`contains, containsAll, equals, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, size, subList, toArray, toArray`

Constructor Detail

### AbstractResultList

    public AbstractResultList()

Method Detail

### add

    public void add(int index,
                    Object element)

  Specified by:
    `add` in interface `List<E>`

### add

    public boolean add(Object o)

  Specified by:
    `add` in interface `Collection<E>`
  Specified by:
    `add` in interface `List<E>`

### addAll

    public boolean addAll(Collection<? extends E> c)

  Specified by:
    `addAll` in interface `Collection<E>`
  Specified by:
    `addAll` in interface `List<E>`

### addAll

    public boolean addAll(int index,
                          Collection<? extends E> c)

  Specified by:
    `addAll` in interface `List<E>`

### remove

    public E remove(int index)

  Specified by:
    `remove` in interface `List<E>`

### remove

    public boolean remove(Object o)

  Specified by:
    `remove` in interface `Collection<E>`
  Specified by:
    `remove` in interface `List<E>`

### removeAll

    public boolean removeAll(Collection<?> c)

  Specified by:
    `removeAll` in interface `Collection<E>`
  Specified by:
    `removeAll` in interface `List<E>`

### retainAll

    public boolean retainAll(Collection<?> c)

  Specified by:
    `retainAll` in interface `Collection<E>`
  Specified by:
    `retainAll` in interface `List<E>`

### set

    public E set(int index,
                 Object element)

  Specified by:
    `set` in interface `List<E>`

### clear

    public void clear()

  Specified by:
    `clear` in interface `Collection<E>`
  Specified by:
    `clear` in interface `List<E>`

### assertOpen

    protected void assertOpen()

### getUserObject

    public final Object getUserObject()

  Description copied from interface: `ResultList`
  Get the opaque user object attached to this receiver.

  Specified by:
    `getUserObject` in interface `ResultList<E>`

### setUserObject

    public final void setUserObject(Object opaque)

  Description copied from interface: `ResultList`
  Set the opaque user object to this receiver.

  Specified by:
    `setUserObject` in interface `ResultList<E>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.